=== guile/guile-docs/examples/c/Makefile ===
# Makefile for gnudl proto1

GUILEDIR = /packages
#GUILEDIR = /u/rosalia/gnudl/guile-doc/work-cygnus-960321
OPT = -g
CFLAGS = $(OPT) -I$(GUILEDIR)/include/guile
LIBS_LEARN = -L$(GUILEDIR)/lib -lguile -lm

html_dest=nis-www:public_html/gnudl-doc/
infodir=/packages/info
FTPDIR=nis-ftp:/n/sstcx1/local/ftp/pub/users/rosalia
VERSION=3.0

DISTFILES=learn0.c learn1.c c_builtins.c c_builtins.h Makefile \
		learn_libguile.texi

CC=gcc

#all: learn0 learn1 docs
all: learn0 learn1

learn0: learn0.o Makefile
	$(CC) -o learn0 learn0.o $(LIBS_LEARN)

learn1: learn1.o c_builtins.o Makefile
	$(CC) -o learn1 learn1.o c_builtins.o $(LIBS_LEARN)

#learn_gs: gs_interface.c Makefile
#	$(CC) $(LD_GS_FLAGS) -DSTANDALONE gs_interface.c $(GS_LIBS) -o learn_gs

# docs: learn_libguile.info learn_libguile_toc.html learn_libguile.ps

$(infodir)/learn_libguile.info: learn_libguile.texi
	makeinfo learn_libguile.texi -o $(infodir)/learn_libguile.info

learn_libguile_toc.html: learn_libguile.texi
	texi2html -menu -split_chapter -verbose learn_libguile.texi
	rcp learn_libguile*.html $(html_dest)

learn_libguile.ps: learn_libguile.texi
	tex learn_libguile.texi
	texindex learn_libguile.??
	tex learn_libguile.texi
	dvips learn_libguile.dvi

snapshot: $(DISTFILES)
	tar cf - $(DISTFILES) | gzip > learn_libguile-$(VERSION).tar.gz
	rcp learn_libguile-$(VERSION).tar.gz $(FTPDIR)

clean:
	/bin/rm -f learn0 learn1 *.o

distclean: clean
	/bin/rm -f learn_libguile.?? *.toc *.aux *.kys *.cps *.fns \
			*.tps *.vrs *.log *.pgs *.dvi *.html *.info \
			learn_libgnudl-$(VERSION).tar.gz

# some of the C programs require special compilation flags
#gs_interface.o: gs_interface.c
#	$(CC) $(CC_GS_FLAGS) -c gs_interface.c
