=== dejagnu/debian/control ===
Source: dejagnu
Section: devel
Priority: optional
Maintainer: Rob Savoye <welcomehome.org>
Standards-Version: 2.5.0.0

Package: dejagnu
Architecture: all
Depends: expect, dpkg (>=1.2.1)
Description: framework for running test suites on software tools.
 DejaGnu is a framework for testing other programs.  Its purpose is to
 provide a single front end for all tests.
 .
 DejaGnu provides a layer of abstraction which allows you to write
 tests that are portable to any host or target where a program must
 be tested.  All tests have the same output format.
 .
 DejaGnu is written in `expect', which in turn uses "Tcl"--Tool
 command language.
